org.apache.fop.layoutmgr

## Class BreakOpportunityHelper

- java.lang.Object
- - org.apache.fop.layoutmgr.BreakOpportunityHelper

    public final class BreakOpportunityHelper
    extends Object

Helper implementations of the `BreakOpportunity` methods.

### Method Summary

All Methods Static Methods Concrete Methods
`static int` `getBreakBefore(AbstractLayoutManager layoutManager)` Returns the break opportunity before the given layout manager.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getBreakBefore

    public static int getBreakBefore(AbstractLayoutManager layoutManager)

Returns the break opportunity before the given layout manager. There is a break opportunity if the LM's FO has the break-before property set, or if there is a break opportunity before its first child LM.

Returns:
  the break-before value (Constants.EN_*)